#ifndef SKYPE_H_
#define SKYPE_H_
#include <windows.h>

enum {
	SKYPECONTROLAPI_ATTACH_SUCCESS = 0,
	SKYPECONTROLAPI_ATTACH_PENDING_AUTHORIZATION = 1,
	SKYPECONTROLAPI_ATTACH_REFUSED = 2,
	SKYPECONTROLAPI_ATTACH_NOT_AVAILABLE = 3,
	SKYPECONTROLAPI_ATTACH_API_AVAILABLE = 0x8001,
	/* */
	DISCONNECTED = 4
};

typedef void (*ATTACHE_LISTENER)(int status);
typedef void (*DATA_LISTENER)(PVOID data,DWORD size);
BOOL open_skype_api(HINSTANCE hInstance,BOOL debug_console,ATTACHE_LISTENER al,DATA_LISTENER dl);
void send_cmd_i(const char* cmd,int cmd_len);
#define send_cmd(cmd) send_cmd_i((cmd),0);

#endif /* SKYPE_H_ */
